## bitlbee 3.6

=== Makefile ===
###########################
## Makefile for BitlBee  ##
##                       ##
## Copyright 2002 Lintux ##
###########################

### DEFINITIONS

-include Makefile.settings

# Program variables
objects = bitlbee.o dcc.o help.o ipc.o irc.o irc_im.o irc_cap.o irc_channel.o irc_commands.o irc_send.o irc_user.o irc_util.o nick.o $(OTR_BI) query.o root_commands.o set.o storage.o $(STORAGE_OBJS) auth.o $(AUTH_OBJS) unix.o conf.o log.o
headers = $(wildcard $(_SRCDIR_)*.h $(_SRCDIR_)lib/*.h $(_SRCDIR_)protocols/*.h)
subdirs = lib protocols

OUTFILE = bitlbee

# Expansion of variables
subdirobjs = $(foreach dir,$(subdirs),$(dir)/$(dir).o)

all: $(OUTFILE) $(OTR_PI) doc systemd

doc:
ifdef DOC
	$(MAKE) -C doc
endif

uninstall: uninstall-bin uninstall-doc 
	@echo -e '\nmake uninstall does not remove files in '$(DESTDIR)$(ETCDIR)', you can use make uninstall-etc to do that.\n'

install: install-bin install-doc install-plugins
	@echo
	@echo Installed successfully
	@echo
	@if ! [ -d $(DESTDIR)$(CONFIG) ]; then echo -e '\nThe configuration directory $(DESTDIR)$(CONFIG) does not exist yet, don'\''t forget to create it!'; fi
	@if ! [ -e $(DESTDIR)$(ETCDIR)/bitlbee.conf ]; then echo -e '\nNo files are installed in '$(DESTDIR)$(ETCDIR)' by make install. Run make install-etc to do that.'; fi
ifdef SYSTEMDSYSTEMUNITDIR
	@echo If you want to start BitlBee using systemd, try \"make install-systemd\".
endif
	@echo To be able to compile third party plugins, run \"make install-dev\"
	@echo

.PHONY:   install   install-bin   install-etc   install-doc install-plugins install-systemd install-dev \
        uninstall uninstall-bin uninstall-etc uninstall-doc uninstall-etc \
        all clean distclean tar $(subdirs) doc

Makefile.settings:
	@echo
	@echo Run ./configure to create Makefile.settings, then rerun make
	@echo

clean: $(subdirs)
	rm -f *.o $(OUTFILE) core utils/bitlbeed init/bitlbee*.service
	$(MAKE) -C tests clean

distclean: clean $(subdirs)
	rm -rf .depend
	rm -f Makefile.settings config.h bitlbee.pc
	find . -name 'DEADJOE' -o -name '*.orig' -o -name '*.rej' -o -name '*~' -exec rm -f {} \;
	@# May still be present in dirs of disabled protocols.
	-find . -name .depend -exec rm -rf {} \;
	$(MAKE) -C tests distclean

check: all
	$(MAKE) -C tests

gcov: check
	gcov *.c

lcov: check
	lcov --directory . --capture --output-file bitlbee.info
	genhtml -o coverage bitlbee.info

install-doc:
ifdef DOC
	$(MAKE) -C doc install
endif

uninstall-doc:
ifdef DOC
	$(MAKE) -C doc uninstall
endif

install-bin:
	mkdir -p $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0755 $(OUTFILE) $(DESTDIR)$(SBINDIR)/$(OUTFILE)
ifdef IMPLIB
	# import library for cygwin
	mkdir -p $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0644 $(IMPLIB) $(DESTDIR)$(LIBDIR)/$(IMPLIB)
endif

uninstall-bin:
	rm -f $(DESTDIR)$(SBINDIR)/$(OUTFILE)
ifdef IMPLIB
	rm -f $(DESTDIR)$(LIBDIR)/$(IMPLIB)
endif

install-dev:
	mkdir -p $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL) -m 0644 config.h $(DESTDIR)$(INCLUDEDIR)
	for i in $(headers); do $(INSTALL) -m 0644 $$i $(DESTDIR)$(INCLUDEDIR); done
	mkdir -p $(DESTDIR)$(PCDIR)
	$(INSTALL) -m 0644 bitlbee.pc $(DESTDIR)$(PCDIR)

uninstall-dev:
	rm -f $(foreach hdr,$(headers),$(DESTDIR)$(INCLUDEDIR)/$(hdr))
	-rmdir $(DESTDIR)$(INCLUDEDIR)
	rm -f $(DESTDIR)$(PCDIR)/bitlbee.pc

install-etc:
	mkdir -p $(DESTDIR)$(ETCDIR)
	$(INSTALL) -m 0644 $(_SRCDIR_)motd.txt $(DESTDIR)$(ETCDIR)/motd.txt
	$(INSTALL) -m 0644 $(_SRCDIR_)bitlbee.conf $(DESTDIR)$(ETCDIR)/bitlbee.conf

uninstall-etc:
	rm -f $(DESTDIR)$(ETCDIR)/motd.txt
	rm -f $(DESTDIR)$(ETCDIR)/bitlbee.conf
	-rmdir $(DESTDIR)$(ETCDIR)

install-plugins: install-plugin-otr

install-plugin-otr:
ifdef OTR_PI
	mkdir -p $(DESTDIR)$(PLUGINDIR)
	$(INSTALL) -m 0755 otr.so $(DESTDIR)$(PLUGINDIR)
endif

systemd:
ifdef SYSTEMDSYSTEMUNITDIR
	mkdir -p init
	sed 's|@sbindir@|$(SBINDIR)|' $(_SRCDIR_)init/bitlbee.service.in > init/bitlbee.service
	sed 's|@sbindir@|$(SBINDIR)|' $(_SRCDIR_)init/bitlbee@.service.in > init/bitlbee@.service
endif

install-systemd: systemd
ifdef SYSTEMDSYSTEMUNITDIR
	mkdir -p $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
	$(INSTALL) -m 0644 init/bitlbee.service $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
	$(INSTALL) -m 0644 init/bitlbee@.service $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
	$(INSTALL) -m 0644 $(_SRCDIR_)init/bitlbee.socket $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
else
	@echo SYSTEMDSYSTEMUNITDIR not set, not installing systemd unit files.
endif

tar:
	fakeroot debian/rules clean || make distclean
	x=$$(basename $$(pwd)); \
	cd ..; \
	tar czf $$x.tar.gz --exclude=debian --exclude=.git* --exclude=.depend $$x

$(subdirs):
	$(MAKE) -C $@ $(MAKECMDGOALS)

$(OTR_PI): %.so: $(_SRCDIR_)%.c
	@echo '*' Building plugin $@
	$(VERBOSE) $(CC) $(CFLAGS) -fPIC -shared $(LDFLAGS) $< -o $@ $(OTRFLAGS)

$(objects): %.o: $(_SRCDIR_)%.c
	@echo '*' Compiling $<
	$(VERBOSE) $(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@

$(objects): Makefile Makefile.settings config.h

$(OUTFILE): $(objects) $(subdirs)
	@echo '*' Linking $(OUTFILE)
	$(VERBOSE) $(CC) $(objects) $(subdirobjs) -o $(OUTFILE) $(LDFLAGS_BITLBEE) $(LDFLAGS) $(EFLAGS)
ifneq ($(firstword $(STRIP)), \#)
	@echo '*' Stripping $(OUTFILE)
	$(VERBOSE) -$(STRIP) $(OUTFILE)
endif

ctags: 
	ctags `find . -name "*.c"` `find . -name "*.h"`

# Using this as a bogus Make target to test if a GNU-compatible version of
# make is available.
helloworld:
	@echo Hello World

# Check if we can load the helpfile. (This fails if some article is >1KB.)
# If print returns a NULL pointer, the file is unusable.
testhelp: doc
	gdb --eval-command='b main' --eval-command='r' \
	    --eval-command='print help_init(&global->helpfile, "doc/user-guide/help.txt")' \
	    $(OUTFILE) < /dev/null

-include .depend/*.d
# DO NOT DELETE

=== lib/Makefile ===
###########################
## Makefile for BitlBee  ##
##                       ##
## Copyright 2006 Lintux ##
###########################

### DEFINITIONS

-include ../Makefile.settings
ifdef _SRCDIR_
_SRCDIR_ := $(_SRCDIR_)lib/
endif

# [SH] Program variables
objects = arc.o base64.o canohost.o $(EVENT_HANDLER) ftutil.o http_client.o ini.o json.o json_util.o md5.o misc.o oauth.o oauth2.o proxy.o sha1.o $(SSL_CLIENT) url.o xmltree.o ns_parse.o

LFLAGS += -r

# [SH] Phony targets
all: lib.o
check: all
lcov: check
gcov:
	gcov *.c

.PHONY: all clean distclean

clean: $(subdirs)
	rm -f *.o $(OUTFILE) core

distclean: clean $(subdirs)
	rm -rf .depend

### MAIN PROGRAM

lib.o: $(objects) $(subdirs)
	@echo '*' Linking lib.o
	$(VERBOSE) $(LD) $(LFLAGS) $(objects) -o lib.o

$(objects): ../Makefile.settings Makefile

$(objects): %.o: $(_SRCDIR_)%.c
	@echo '*' Compiling $<
	$(VERBOSE) $(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@

-include .depend/*.d

=== protocols/Makefile ===
###########################
## Makefile for BitlBee  ##
##                       ##
## Copyright 2002 Lintux ##
###########################

### DEFINITIONS

-include ../Makefile.settings
ifdef _SRCDIR_
_SRCDIR_ := $(_SRCDIR_)protocols/
endif

# [SH] Program variables
objects = account.o bee.o bee_chat.o bee_ft.o bee_user.o nogaim.o


# [SH] The next two lines should contain the directory name (in $(subdirs))
#      and the name of the object file, which should be linked into
#      protocols.o (in $(subdirobjs)). These need to be in order, i.e. the
#      first object file should be in the first directory.
subdirs = $(PROTOCOLS)
subdirobjs = $(PROTOOBJS)

# Expansion of variables
subdirobjs := $(join $(subdirs),$(addprefix /,$(subdirobjs)))
LFLAGS += -r

# [SH] Phony targets
all: protocols.o
check: all
lcov: check
gcov:
	gcov *.c

.PHONY: all clean distclean $(subdirs)

clean: $(subdirs)
	rm -f *.o $(OUTFILE) core

distclean: clean $(subdirs)
	rm -rf .depend

$(subdirs):
	$(MAKE) -C $@ $(MAKECMDGOALS)

### MAIN PROGRAM

protocols.o: $(objects) $(subdirs)
	@echo '*' Linking protocols.o
	$(VERBOSE) $(LD) $(LFLAGS) $(objects) $(subdirobjs) -o protocols.o

$(objects): ../Makefile.settings Makefile

$(objects): %.o: $(_SRCDIR_)%.c
	@echo '*' Compiling $<
	$(VERBOSE) $(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@

-include .depend/*.d

=== tests/Makefile ===
-include ../Makefile.settings
ifdef _SRCDIR_
_SRCDIR_ := $(_SRCDIR_)tests/
endif

CFLAGS += $(shell pkg-config --cflags check)
LFLAGS += $(shell pkg-config --libs check)

all: check
	./check $(CHECKFLAGS)

clean:
	rm -f check *.o

distclean: clean

main_objs = bitlbee.o conf.o dcc.o help.o ipc.o irc.o irc_cap.o irc_channel.o irc_commands.o irc_im.o irc_send.o irc_user.o irc_util.o irc_commands.o log.o nick.o query.o root_commands.o set.o storage.o $(STORAGE_OBJS) auth.o $(AUTH_OBJS)

test_objs = check.o check_util.o check_nick.o check_md5.o check_arc.o check_irc.o check_help.o check_user.o check_set.o check_jabber_sasl.o check_jabber_util.o

check: $(test_objs) $(addprefix ../, $(main_objs)) ../protocols/protocols.o ../lib/lib.o
	@echo '*' Linking $@
	$(VERBOSE) $(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) $(EFLAGS)

%.o: $(_SRCDIR_)%.c
	@echo '*' Compiling $<
	$(VERBOSE) $(CC) -c $(CFLAGS) $< -o $@

=== doc/user-guide/Makefile ===
-include ../../Makefile.settings
ifdef _SRCDIR_
_SRCDIR_ := $(_SRCDIR_)doc/user-guide/
endif

ifndef PYTHON
PYTHON = python
endif 

all: help.txt

user-guide: user-guide.txt user-guide.html # user-guide.pdf user-guide.ps user-guide.rtf

%.tex: %.db.xml
	xsltproc --stringparam l10n.gentext.default.language "en" --stringparam latex.documentclass.common "" --stringparam latex.babel.language "" --output $@ http://db2latex.sourceforge.net/xsl/docbook.xsl $<

%.txt: %.db.xml
	xmlto --skip-validation txt $<
	mv $*.db.txt $@

%.html: %.db.xml
	xsltproc --param generate.consistent.ids 1 --output $@ http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl $<

%.pdf: %.db.xml
	xmlto --skip-validation pdf $<
	mv $*.db.pdf $@

%.ps: %.db.xml
	xmlto --skip-validation ps $<
	mv $*.db.ps $@

help.xml: commands.xml

%.db.xml: %.xml docbook.xsl
	xsltproc --xinclude --output $@ docbook.xsl $< 

help.txt: $(_SRCDIR_)help.xml $(_SRCDIR_)commands.xml $(_SRCDIR_)misc.xml $(_SRCDIR_)quickstart.xml $(_SRCDIR_)twitter.xml
	$(PYTHON) $(_SRCDIR_)genhelp.py $< $@

clean: 
	rm -f *.html *.pdf *.ps *.rtf *.txt *.db.xml

install:
	mkdir -p $(DESTDIR)$(DATADIR)
	chmod 0755 $(DESTDIR)$(DATADIR)
	rm -f $(DESTDIR)$(DATADIR)/help.txt # Prevent help function from breaking in running sessions
	$(INSTALL) -m 0644 $(_SRCDIR_)help.txt $(DESTDIR)$(DATADIR)/help.txt

uninstall:
	rm -f $(DESTDIR)$(DATADIR)/help.txt
	-rmdir $(DESTDIR)$(DATADIR)

.PHONY: clean install uninstall user-guide

=== protocols/jabber/Makefile ===
###########################
## Makefile for BitlBee  ##
##                       ##
## Copyright 2002 Lintux ##
###########################

### DEFINITIONS

-include ../../Makefile.settings
ifdef _SRCDIR_
_SRCDIR_ := $(_SRCDIR_)protocols/jabber/
endif

# [SH] Program variables
objects = conference.o io.o iq.o jabber.o jabber_util.o message.o presence.o s5bytestream.o sasl.o si.o hipchat.o

LFLAGS += -r

# [SH] Phony targets
all: jabber_mod.o
check: all
lcov: check
gcov: 
	gcov *.c

.PHONY: all clean distclean

clean:
	rm -f *.o core

distclean: clean
	rm -rf .depend

### MAIN PROGRAM

$(objects): ../../Makefile.settings Makefile

$(objects): %.o: $(_SRCDIR_)%.c
	@echo '*' Compiling $<
	$(VERBOSE) $(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@

jabber_mod.o: $(objects)
	@echo '*' Linking jabber_mod.o
	$(VERBOSE) $(LD) $(LFLAGS) $(objects) -o jabber_mod.o

-include .depend/*.d

=== protocols/purple/Makefile ===
###########################
## Makefile for BitlBee  ##
##                       ##
## Copyright 2002 Lintux ##
###########################

### DEFINITIONS

-include ../../Makefile.settings
ifdef _SRCDIR_
_SRCDIR_ := $(_SRCDIR_)protocols/purple/
endif

# [SH] Program variables
objects = ft.o purple.o

CFLAGS += -Wall $(PURPLE_CFLAGS)
LFLAGS += -r

# [SH] Phony targets
all: purple_mod.o
check: all
lcov: check
gcov: 
	gcov *.c

.PHONY: all clean distclean

clean:
	rm -f *.o core

distclean: clean
	rm -rf .depend

### MAIN PROGRAM

$(objects): ../../Makefile.settings Makefile

$(objects): %.o: $(_SRCDIR_)%.c
	@echo '*' Compiling $<
	$(VERBOSE) $(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@

purple_mod.o: $(objects)
	@echo '*' Linking purple_mod.o
	$(VERBOSE) $(LD) $(LFLAGS) $(objects) -o purple_mod.o

-include .depend/*.d

=== debian/changelog ===
bitlbee (3.6-2) unstable; urgency=medium

  * QA upload.

  [ Andreas Tille ]
  * Move Debian maintenance to Debian/ team on Salsa
    Closes: #1114687
  * Take over further d/copyright changes from Github packaging
  * d/watch: version=4
  * Remove old FSF address from d/copyright
  * Remove Homepage field from d/u/metadata
  * Short dh
  * Install systemd unit provided by upstream
    Closes: #981437, #1039138
  * d/copyright: Remove old FSF address
  * Drop unused lintian-override
  * Apply patch via quilt instead manually in d/rules
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not parse d/changelog (routine-update)
  * bitlbee-common: Pre-Depends: ${misc:Pre-Depends}
  * lintian-overrides: Seems upstream prefers errors to syslog instead of the
    default journal
  * Update renamed lintian tag names in lintian overrides.

  [ Jelmer Vernooĳ ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Add missing colon in closes line.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Add configuration to prevent lintian-brush upgrading to newer version of
    debhelper.
  * Fix day-of-week for changelog entries 0.81a-1.
  * Set upstream metadata fields: Repository.
  * Use system libjsonparser rather than bundled one.
    Closes: #958251

 -- Andreas Tille <tille@debian.org>  Sat, 11 Oct 2025 07:47:15 +0200

bitlbee (3.6-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace libgcrypt-configure with pkg-config (Closes: #1070904)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Feb 2025 08:20:44 +0100

bitlbee (3.6-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1064217)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Mar 2024 21:05:25 +0000

bitlbee (3.6-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999197).

 -- Marcos Talau <marcos@talau.info>  Tue, 05 Apr 2022 14:18:09 -0300

bitlbee (3.6-1.2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build using python3 (Closes: #942954)

  [ Gunnar Wolf ]
  * Drop build-dep on transitory package dh-systemd, provided by
    debhelper >=9.2 (Closes: #958606)

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 30 Aug 2020 23:46:49 -0500

bitlbee (3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to d/copyright provided by Jochen Sprickerhof
    Closes: #883872

 -- Andreas Tille <tille@debian.org>  Thu, 18 Apr 2019 21:27:48 +0200

bitlbee (3.6-1) unstable; urgency=medium

  [ dequis ]
  * Remove bitlbee-plugin-skype and skyped (obsolete)
  * Enable only bitlbee.service, not bitlbee.socket too

  [ dequis ]
  * Fix lintian pkg-config-unavailable-for-cross-compilation

  [ Jelmer Vernooĳ ]
  * Add debian upstream metadata file.
  * Trim trailing whitespace.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 10.
  * Trim trailing whitespace.

 -- Wilmer van der Gaast <wilmer@gaast.net>  Sat, 02 Mar 2019 22:18:21 +0000

bitlbee (3.5.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Comment out bitlbee-plugin-skype and skyped in d/control (Closes: #921895).
    These binary packages are not built by d/rules by default, and as such
    they are not currently in the archive.  Commenting them out in order
    to avoid my NMU hitting binNEW; this caused the -1.1 source-only
    upload to fail.
    Thank you to Mattia Rizzolo for suggesting this fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 09 Feb 2019 17:03:38 -0700

bitlbee (3.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add existence check to chmod call in bitlbee-common.postinst
    (Closes: #816200).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 25 Jan 2019 16:50:34 -0700

bitlbee (3.5.1-1) unstable; urgency=medium

  * Crash bug fix. (Closes: #853282)

 -- Wilmer van der Gaast <wilmer@gaast.net>  Thu, 09 Feb 2017 00:46:53 +0000

bitlbee (3.5-2) unstable; urgency=medium

  * TFW you find out the corrected fix diff posted on #821967 was still the
    broken one and you end up doing your third upload in a weekend. :-(
    Obviously build-* targets shouldn't call into binary-*, as that one
    starts requiring root. This broke builds on buildd's.
  * Now contains the same fix like 3.4.2-1.1, which as it turns out 3.5-1.1
    did not. (Closes: #853017)

 -- Wilmer van der Gaast <wilmer@gaast.net>  Sat, 28 Jan 2017 21:06:27 +0000

bitlbee (3.5-1.1) unstable; urgency=medium

  [ dequis ]
  * Merge back changes from 3.4.2-1.1 (Closes: #852897)

 -- dequis <dx@dxzone.com.ar>  Thu, 26 Jan 2017 21:39:24 -0300

bitlbee (3.5-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop dependency on net-tools

  [ dequis ]
  * Use dh_systemd
  * Drop support for /etc/default/bitlbee
  * Drop debconf and its translations (only used to ask for the port)
  * Add preinst script for a smoother transition to systemd units
  * Ignore the stdout of deluser, fixes postrm error exit code
  * Remove some mentions of yahoo in control and copyright
  * Remove outdated stuff from README.debian

  [ Wilmer van der Gaast ]
  * New upstream release.

 -- Wilmer van der Gaast <wilmer@gaast.net>  Tue, 24 Jan 2017 22:21:33 +0000

bitlbee (3.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adding build-{arch,indep} targets. (Closes: #821967)
  * Added python to build depends.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 18 Jul 2016 01:02:17 -0700

bitlbee (3.4.2-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Make the build reproducible by not encoding ARCH / CPU defines in
    the binary.
  * Fix Vcs-* control headers after migration to Git.
  * Don't start synopsis with an article.
  * Bump standards version to 3.9.8 (no changes).
  * Use dh_prep rather than deprecated 'dh_clean -k'.

  [ Wilmer van der Gaast ]
  * New upstream release.



=== debian/control ===
Source: bitlbee
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: net
Priority: optional
Build-Depends:
 libglib2.0-dev,
 libevent-dev,
 libgnutls28-dev | libgnutls-dev | gnutls-dev,
 po-debconf,
 libpurple-dev,
 libotr5-dev,
 debhelper-compat (= 13),
 python3,
 libjsonparser-dev,
Vcs-Browser: https://salsa.debian.org/debian/bitlbee
Vcs-Git: https://salsa.debian.org/debian/bitlbee.git
Homepage: https://www.bitlbee.org/

Package: bitlbee
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 bitlbee-common (= ${binary:Version}),
Conflicts:
 bitlbee-libpurple,
Replaces:
 bitlbee-libpurple,
Description: IRC to other chat networks gateway (default version)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.

Package: bitlbee-libpurple
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 bitlbee-common (= ${binary:Version}),
Conflicts:
 bitlbee,
Replaces:
 bitlbee,
Description: IRC to other chat networks gateway (using libpurple)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.
 .
 This package contains a version of BitlBee that uses the libpurple instant
 messaging library instead of built-in code, which adds support for more IM
 protocols (all protocols supported by Pidgin/Finch) and features (like file
 transfers), at the price of being less lightweight.
 .
 If you don't need the extra features, it's better to use the built-in code.

Package: bitlbee-common
Architecture: any
Depends:
 ${misc:Depends},
 adduser,
Replaces:
 bitlbee,
Pre-Depends: ${misc:Pre-Depends}
Description: IRC to other chat networks gateway (common files/docs)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.
 .
 This package contains common files (mostly documentation) for bitlbee and
 bitlbee-libpurple.

Package: bitlbee-dev
Architecture: any
Depends:
 ${misc:Depends},
 bitlbee (= ${binary:Version}) | bitlbee-libpurple (= ${binary:Version}),
 bitlbee-common (= ${binary:Version}),
Description: IRC to other chat networks gateway (dev files)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.
 .
 This package holds development stuff for compiling plug-ins.

Package: bitlbee-plugin-otr
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 bitlbee (= ${binary:Version}) | bitlbee-libpurple (= ${binary:Version}),
 bitlbee-common (= ${binary:Version}),
Description: IRC to other chat networks gateway (OTR plugin)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.
 .
 This package contains a plugin that adds support for Off-The-Record
 encryption of instant messages.

=== debian/rules ===
#!/usr/bin/make -f
#

export PYTHON = python3

# Include the bitlbee-libpurple variant and OTR plugin by default.
BITLBEE_LIBPURPLE ?= 1
BITLBEE_OTR ?= plugin
BITLBEE_CONFIGURE_FLAGS ?=
DEBUG ?= 0

ifndef BITLBEE_VERSION
# Want to use the full package version number instead of just the release.
include /usr/share/dpkg/default.mk
BITLBEE_CONFIGURE_VERSION ?= BITLBEE_VERSION=$(DEB_VERSION)
endif

ifneq ($(BITLBEE_LIBPURPLE),1)
DH_OPTIONS += -Nbitlbee-libpurple
endif

ifneq ($(BITLBEE_OTR),plugin)
DH_OPTIONS += -Nbitlbee-plugin-otr
endif

CONFIGURE_OVERRIDES:=CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

%:
	dh $@

override_dh_auto_configure:
	echo "Configure and build are done in dh_auto_build"

override_dh_auto_build:
	mkdir -p debian/build-native
	ROOT=$$PWD; cd debian/build-native; $(BITLBEE_CONFIGURE_VERSION) $(CONFIGURE_OVERRIDES) $$ROOT/configure --debug=$(DEBUG) --prefix=/usr --etcdir=/etc/bitlbee --events=libevent --otr=$(BITLBEE_OTR) --systemdsystemunitdir=/lib/systemd/system --pcdir=/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig $(BITLBEE_CONFIGURE_FLAGS)
	$(MAKE) -C debian/build-native

ifeq ($(BITLBEE_LIBPURPLE),1)
	mkdir -p debian/build-libpurple
	ROOT=$$PWD; cd debian/build-libpurple; $(BITLBEE_CONFIGURE_VERSION) $(CONFIGURE_OVERRIDES) $$ROOT/configure --debug=$(DEBUG) --prefix=/usr --etcdir=/etc/bitlbee --systemdsystemunitdir=/lib/systemd/system --pcdir=/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig --purple=1 $(BITLBEE_CONFIGURE_FLAGS)
	$(MAKE) -C debian/build-libpurple
endif

	$(MAKE) -C doc
	$(MAKE) -C doc/user-guide

	SYSTEMDSYSTEMUNITDIR=/usr/lib/systemd/system/ make systemd

override_dh_auto_clean:
	rm -rf debian/build-* debian/bitlbee-libpurple.prerm
	$(MAKE) distclean

override_dh_auto_test:
	echo "FIXME: Run upstream build time test"

override_dh_auto_install:
	$(MAKE) -C debian/build-native install-bin DESTDIR=`pwd`/debian/bitlbee
	$(MAKE) -C debian/build-native install-etc install-doc DESTDIR=`pwd`/debian/bitlbee-common
	$(MAKE) -C debian/build-native install-dev DESTDIR=`pwd`/debian/bitlbee-dev
	$(MAKE) -C debian/build-native install-plugin-otr DESTDIR=`pwd`/debian/bitlbee-plugin-otr

ifeq ($(BITLBEE_LIBPURPLE),1)
	$(MAKE) -C debian/build-libpurple install-bin DESTDIR=`pwd`/debian/bitlbee-libpurple
	ln -sf debian/bitlbee.prerm debian/bitlbee-libpurple.prerm
endif

	chmod 640 debian/bitlbee-common/etc/bitlbee/bitlbee.conf

override_dh_installdocs:
	dh_installdocs --link-doc=bitlbee-common

override_dh_installchangelogs:
	dh_installchangelogs doc/CHANGES

override_dh_installinit:
	dh_installinit -p bitlbee-common --init-script=bitlbee

=== debian/watch ===
version=4
https://get.bitlbee.org/src/bitlbee-(.*).tar.gz
